﻿#Requires AutoHotkey v2.0
#SingleInstance 
;=====================================================================

; Determines frequency of items in below list, then sorts by f.  Date not factored in sort. 
AllStrs := FileRead(A_ScriptName), tally := 0, subTStr := "", startLine := 29
Loop parse AllStrs, "`n`r"
{	If A_Index < startLine || A_LoopField = "" ; only look below this code.
		Continue
	ThisStr := SubStr(A_LoopField, 9) ; chop off "MMDD -- "
	tally := 0
	Loop parse AllStrs, "`n`r" ; First count matches. Then remove duplicates. 
	{	If A_Index < startLine
			Continue
		subTStr := SubStr(A_LoopField, 9)
		If subTStr = ThisStr 
		{	tally++
			StrReplace(AllStrs, subTStr, A_Index) ; To prevent it from matching itself??
		}
	}
	AllTalliedItems .= tally ") " ThisStr  "`n"
}
AllTalliedItems := Sort(Sort(AllTalliedItems, "/U"), "NR")
MsgBox AllTalliedItems

;=====================================================================
; Log of all autocorrects sent via f(unction)
/*
0905 -- :*?:atoin::ation
0905 -- :*?:atoin::ation
0905 -- :?:l;y::ly
1009 -- :*:hwi::whi
1009 -- :?C:hc::ch
1010 -- Cap fix: AAa
1010 -- Cap fix: AAa
1010 -- :?:teh::the
1010 -- Cap fix: THe
1010 -- Cap fix: THe
1010 -- Cap fix: THe
1010 -- Cap fix: THe
1010 -- Cap fix: THe
